quantileNormalize <-
function (data = 0)                              ####  
{                                                                     ####  
    xSort <- cbind(sort(data[, 1]), sort(data[, 2]))                  ####  Sorts the values of the red and green signals separately
    xpSort <- apply(xSort, 1, mean)                                   ####  Returns a matrix with the mean of the rows of xSort
    norm <- matrix(NA, length(data[, 1]), 2)                          ####  
    norm[order(data[, 1]), 1] <- xpSort                               ####  Replaces the original value with the mean of it and its 
    norm[order(data[, 2]), 2] <- xpSort                               ####     ordered counterpart.
    return(norm)                                                      ####  
}                                                                     ####  

